* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --color-firs: linear-gradient(to left, #8e9eab, #eef2f3);
  --color-second: linear-gradient(to left, #11998e, #38ef7d);
  --color-third: linear-gradient(to left, #000000, #434343);
}

body {
  width: 95%;
  max-width: 1000px;
  margin: 0 auto;
  margin-top: 30px;
  margin-bottom: 65px;
  text-align: center;
  background: black;
  color: #fff;
  /* user-select: none; */
}

.head__title {
  text-transform: uppercase;
  padding-bottom: 20px;
  border-bottom: 2px solid #fff;
}

/* Botones sigiete pagina */
.btcs {
  width: 100%;
  position: fixed;
  right: 0;
  left: 0;
  bottom: 10px;
  display: flex;
  justify-content: space-between;
  cursor: pointer;
  user-select: none;
  margin: 0 auto;
}

.btc {
  background: var(--color-firs);
  text-decoration: none;
  color: #fff;
  padding: 10px;
  display: flex;
  align-items: center;
  cursor: pointer;
}

.btc:hover {
  background: var(--color-second);
}

.btc--left {
  border-radius: 0 50px 50px 0;
}

.btc--menu {
  justify-content: center;
  width: 50%;
  border-radius: 50px;
  cursor: pointer;
}

.btc--menu:hover {
  background: var(--color-second);
}

.btc--right {
  border-radius: 50px 0 0 50px;
}

.btc__icon {
  width: 25px;
}

.btc--sound {
  max-width: 200px;
  display: block;
  margin: 10px 0;
  user-select: none;
}

.btc--sound-question {
  width: 20px;
  height: 20px;
  border-radius: 50px;
  background-image: url("../images/playButton.svg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  background-color: black;
}

.btc--sound-question:hover {
  background-image: url("../images/playButton.svg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  background-color: green;
}

/* subrallado del texto yeido */
.highlight {
  background-color: #cbcaca63;
  /* Cambia el color de fondo del texto */
  color: #2c2c2c;
  /* Cambia el color del texto */
  transition: background-color 0.3s ease;
  /* Añade una transición suave */
}

/* lista menu  icinio*/
@keyframes flyIn {
  0% {
    transform: translatey(100vw) scale(0.5);
    opacity: 0;
  }

  100% {
    transform: translatey(0) scale(1);
    opacity: 1;
  }
}

/* Menu desplegable */
.menu__container {
  width: 100vw;
  height: 100vh;
  position: fixed;
  top: 0;
  right: 0;
  background: rgba(0, 0, 0, 0.8);
  /* Ajusté el fondo para mayor visibilidad */
  display: none;
  padding: 10px 0;
  color: black;
  animation: flyIn 1s ease-out forwards;
  /* Añadí la animación de entrada */
}


.menu__body {
  width: 90%;
  height: 100%;
  margin: auto;
  padding-top: 40px;
  background: white;
  /* Gradiente que simula hoja de libro */
  border-bottom: 1px solid black;
  overflow-y: auto;

  user-select: none;
}

.menu__title {
  padding: 0 30px;
  text-transform: uppercase;
  padding-bottom: 20px;
  border-bottom: 2px solid black;
  margin-bottom: 20px;
}

.menu__lists {
  list-style: none;
  /* Elimina los puntos de viñeta */
  display: grid;
  position: relative;
}

.menu__lists::before {
  content: '';
  position: absolute;
  top: 0;
  z-index: 100;
  left: 7%;
  /* Centrado horizontalmente */
  width: 2px;
  /* Grosor de la línea */
  height: 100%;
  /* Atraviesa todo el contenedor */
  background-color: red;
  /* Color de la línea */
}

.menu__lists li {
  height: 65px;
  border-bottom: 1px solid #ADD8E6;
  /* Bordes rojos llamativos */
  text-transform: lowercase;
  display: grid;
  grid-template-columns: 10% 1fr;
  text-align: start;
  align-items: center;
  gap: 20px;
  transition: all 0.3s ease;
  /* Suaviza todos los cambios */
  background: white;
  /* Fondo con gradiente de hoja de libro */
  color: #333;
  /* Color del texto */
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  /* Sombra para dar profundidad */
}


.menu__lists li:hover {
  font-weight: bold;
  /* text-decoration: underline; */
  background: linear-gradient(135deg, #e2b897, #f4e3d7);
  /* Invertir gradiente al pasar el mouse */
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
  /* Aumentar la sombra al pasar el mouse */
  transform: translateY(-2px);
  /* Elevar el elemento ligeramente */
  color: #000;
  /* Cambiar el color del texto al pasar el mouse */
}


.menu__lists li a:first-letter {
  text-transform: uppercase;

}

.menu__lists li a {
  text-decoration: none;
  color: black;
  font-size: 1.5rem;
}

.menu__lists li span {
  text-transform: none;
  text-align: right;
}


.menu__x {
  position: fixed;
  width: 50px;
  height: 50px;
  right: 6%;
  top: 20px;
  background: red;
  border-radius: 50px;
  cursor: pointer;
  box-shadow: 2px 2px 2px black;
}

.menu__x:hover {
  background: var(--color-second);
}

/*  Seleccionador del menú lista de páginas  desplegables  */
.menu__select {
  background: linear-gradient(45deg, yellow, orange) !important;
  border-radius: 10px;
  /* padding-left: 10px; */
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
  transition: transform 0.3s ease-in-out;
}

.menu__select:hover {
  transform: scale(1.05);
}

.menu__select a {
  text-decoration: none !important;
  font-weight: bold;
  font-size: 1.2em;
  color: green !important;
  position: relative;
}

.menu__select a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -5px;
  width: 100%;
  height: 6px;
  background-color: green;
  transform: skewX(-15deg);
}

.contenedor-scroll {
  max-height: 500px;
  /* Limita la altura máxima */
  overflow-y: auto;
  /* Agrega scroll vertical si el contenido excede la altura */
}

.container {
  width: 95%;
  max-width: 1200px;
  text-align: start;
  margin: 0 auto;
}

/* Preguntas */
.ask {
  user-select: none;
}

.ask__form {
  display: grid;
  justify-content: center;
}

.ask__container__header {
  display: flex;
  gap: 4px;
}

#ask__miCheckbox {
  cursor: pointer;
}

.ask__form__title {
  text-align: start;
  font-weight: bold;
  margin-top: 10px;
}

.ask__container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
  justify-items: start;
  align-items: center;
  margin-top: 5px;
  margin-bottom: 9px;

  border-bottom: 1px solid black;
}

.ask__input {
  border: none;
  outline: none;
  width: 200px;
  height: 30px;
  padding: 20px;
  color: #4a90e2;
}

/* .ask__form input[type="text"]::placeholder {
 
} */
.ask__correct-answer {
  color: green;
  font-weight: bold;
}

.questions___btc {
  border: none;
  outline: none;
  padding: 10px 0;
  background: var(--color-third);
  color: white;
  margin-top: 2px;
  cursor: pointer;
  font-size: 1.5rem;
}

.questions___btc:hover {
  background: var(--color-second);
  font-weight: bold;
}

.ask__answers {
  justify-items: center;
  opacity: 0;
  transition: opacity 0.5s;
}

.ask__col1 h3,
.ask__col2 h3 {
  color: white;
  padding: 10px;
  border-radius: 30px;
  margin-bottom: 10px;
}

.ask__col1 h3 {
  background: green;
}

.ask__col2 h3 {
  background: red;
}

/* Articulos */
.verb__articles,
.ask {
  background: #fff;
  display: grid;
  color: black;
  margin: 10px 0;
  gap: 20px;
  border: 1px solid #fff;
  padding: 20px;
}

.verb__title {
  font-weight: bold;
  font-size: x-large;
}

.article__title {
  padding-top: 20px;
}

.article__description {
  padding-top: 10px;
  padding-left: 20px;
  padding-bottom: 10px;
  border-bottom: 1px solid black;
}

/* Tabla de vocabulario */
.vocabulary__table {
  width: 100%;
  border-collapse: collapse;
  margin: 20px 0;
  font-size: 18px;
  background: #f8f8f8;
  /* box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1); */
}

.vocabulary__table th,
.vocabulary__table td {
  padding: 12px;
  text-align: center;
  border-bottom: 1px solid #ddd;
}

.vocabulary__table th {
  text-transform: uppercase;
}

.vocabulary__table td {
  color: black;
}

.vocabulary__table th {
  background: #4a90e2;
  color: white;
}

.vocabulary__table tr:hover {
  /* background: #f1f1f1; */
  background: rgba(0, 0, 0, 0.1);
  cursor: pointer;
}

.vocabulary__table tr:nth-child(even) {
  background: #f2f2f2;
}

.vocabulary__table tr:nth-child(even):hover {
  background: rgba(0, 0, 0, 0.06);
}

@media (max-width: 700px) {
  .btcs {
    width: 95%;
  }

  .menu__lists li {
    grid-template-columns: 20% 1fr;
  }
}